"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GithubScm = void 0;
exports.sanitizeMentions = sanitizeMentions;
const tslib_1 = require("tslib");
const is_1 = tslib_1.__importDefault(require("@sindresorhus/is"));
const git = tslib_1.__importStar(require("../../../util/git"));
const default_scm_1 = require("../default-scm");
const _1 = require("./");
function sanitizeMentions(input) {
    return input.replaceAll('@', '@\u{8203}');
}
class GithubScm extends default_scm_1.DefaultGitScm {
    commitAndPush(commitConfig) {
        let platformCommit = commitConfig.platformCommit;
        if (platformCommit === 'auto' && (0, _1.isGHApp)()) {
            platformCommit = 'enabled';
        }
        const sanitizedMessage = is_1.default.array(commitConfig.message)
            ? commitConfig.message.map(sanitizeMentions)
            : sanitizeMentions(commitConfig.message);
        commitConfig.message = sanitizedMessage;
        return platformCommit === 'enabled'
            ? (0, _1.commitFiles)(commitConfig)
            : git.commitFiles(commitConfig);
    }
}
exports.GithubScm = GithubScm;
//# sourceMappingURL=scm.js.map